<link rel="import" href="../polymer/polymer-element.html">

<dom-module id="slots-element">
  <template>
    <style>
      :host {
        display: block;
      }
    </style>
    <h2>Hello [[prop1]]!</h2>
  </template>

  <script>
    /**
     * `slots-element`
     * ejemplo
     *
     * @customElement
     * @polymer
     * @demo demo/index.html
     */
    class SlotsElement extends Polymer.Element {
      static get is() { return 'slots-element'; }
      static get properties() {
        return {
          prop1: {
            type: String,
            value: 'slots-element'
          }
        };
      }
    }

    window.customElements.define(SlotsElement.is, SlotsElement);
  </script>
</dom-module>
